summaryrefslogtreecommitdiff
path: root/BFS/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'BFS/run.sh')
-rwxr-xr-xBFS/run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/BFS/run.sh b/BFS/run.sh
index 0ad5af2..8a6e09c 100755
--- a/BFS/run.sh
+++ b/BFS/run.sh
@@ -15,7 +15,7 @@ for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
for i in `seq 1 20`; do
- bin/host_code -f data/${f}.txt || true
+ timeout --foreground -k 1m 30m bin/host_code -f data/${f}.txt || true
done
fi
done